aboutsummaryrefslogtreecommitdiffstats
path: root/resources
diff options
context:
space:
mode:
authorMiroslav Miklus <mmiklus@cisco.com>2016-03-14 17:54:58 +0100
committerMiroslav Miklus <mmiklus@cisco.com>2016-03-14 17:55:02 +0100
commit04d4f8210c7ae2e6a7b51abd060b8f734eecd05a (patch)
tree700c10caf6e5afb256d5f2db33e23adb3fcf97d3 /resources
parentbe157c8643a2c095d169e3ea78e8db60000189eb (diff)
tools: vpp download and installation script
Download and install 'RELEASE' version of vpp packages Dependecies: curl, dpkg, md5sum Change-Id: I894c8181125b84df3057afc092ed01c0a837321a Signed-off-by: Miroslav Miklus <mmiklus@cisco.com>
Diffstat (limited to 'resources')
-rwxr-xr-xresources/tools/download_install_vpp_pkgs.sh40
1 files changed, 40 insertions, 0 deletions
diff --git a/resources/tools/download_install_vpp_pkgs.sh b/resources/tools/download_install_vpp_pkgs.sh
new file mode 100755
index 0000000000..0d95e75922
--- /dev/null
+++ b/resources/tools/download_install_vpp_pkgs.sh
@@ -0,0 +1,40 @@
+#!/bin/sh
+
+# Copyright (c) 2016 Cisco and/or its affiliates.
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at:
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+set -x
+
+URL="https://nexus.fd.io/service/local/artifact/maven/content"
+VER="RELEASE"
+REPO="fd.io.dev"
+GROUP="io.fd.vpp"
+ARTIFACTS="vpp vpp-dbg vpp-dev vpp-dpdk-dev vpp-dpdk-dkms vpp-lib"
+PACKAGE="deb deb.md5"
+
+for ART in ${ARTIFACTS}; do
+ for PAC in $PACKAGE; do
+ curl "${URL}?r=${REPO}&g=${GROUP}&a=${ART}&p=${PAC}&v=${VER}" -O -J || exit
+ done
+done
+
+for FILE in *.deb; do
+ echo " "${FILE} >> ${FILE}.md5
+done
+
+for MD5FILE in *.md5; do
+ md5sum -c ${MD5FILE} || exit
+done
+
+echo sudo dpkg -i *.deb
+